allow more part-adjustments to be bound to axis groups
06/08/2019 04:10 AM - Anonymous

Status: Not Fixed

Severity: Low

Assignee:

Category: Controls and Ul

Target version: 1.7.2

Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

In particular 'Authority Limiter' on aerodynamic control surfaces,
and 'Deploy Limit' on cargo bays
would expand creative scope without adding any new concepts to the Ul.

(I notice the lights R G B color weights are bindable to axis groups, so we can have in-flight adjustable mood lighting)

History

#1 - 06/13/2019 05:19 PM - nestor
- Status changed from New to Ready to Test

- Target version setto 1.7.2

He have added some of them already. If you have more suggestions please send them over.

#2 - 06/16/2019 04:45 AM - Anonymous
- Status changed from Ready to Test to Not Fixed

ThrustLimit, Authority Limit, and Deploy Limit, are very useful to have bindable to control axes. Thanks very much. | see no other obvious choices to
add to the list.

The 10-meter heat shield has a Deploy Limit that is now bindable, so we can deflate it if we configure it so in the VAB, solving some cases where it is
hard to jettison https://forum.kerbalspaceprogram.com/index.php?/topic/167830-deflate-o-shields/

However, in version 1.7.2, the ThrustLimit is bindable on engines, but not RCS,
available on ModuleEngines but not ModuleRSCFX.

This distinction is not apparent to the player, so someone who sees that engine thrust is controllable will expect the same from a Vernor.
